Skip to content
Start here

Sync MCP Server Capabilities

zero_trust.access.ai_controls.mcp.servers.sync(strid, ServerSyncParams**kwargs) -> object
POST/accounts/{account_id}/access/ai-controls/mcp/servers/{id}/sync

Syncs an MCP server’s tool catalog with the portal.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
account_id: str
id: str

portal id

maxLength32
minLength1
ReturnsExpand Collapse
object

Sync MCP Server Capabilities

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.zero_trust.access.ai_controls.mcp.servers.sync(
    id="my-mcp-portal",
    account_id="a86a8f5c339544d7bdc89926de14fb8c",
)
print(response)
{
  "result": {},
  "success": true
}
Returns Examples
{
  "result": {},
  "success": true
}